Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class CompositionDetail

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.CompositionDetail

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CompositionDetail
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompositionDetail()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GenericDrug` | `getGenericDrug()` |
    `java.lang.String` | `getId()` |
    `SubstanceDetail` | `getSubstanceDetail()` |
    `java.lang.String` | `getSubstanceStrength()` |
    `java.lang.String` | `getUnit()` |
    `java.lang.String` | `getUnitSctid()` |
    `void` | `setGenericDrug​(GenericDrug genericDrug)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setSubstanceDetail​(SubstanceDetail substanceDetail)` |
    `void` | `setSubstanceStrength​(java.lang.String substanceStrength)` |
    `void` | `setUnit​(java.lang.String unit)` |
    `void` | `setUnitSctid​(java.lang.String unitSctid)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositionDetail

          public CompositionDetail()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getSubstanceStrength

          public java.lang.String getSubstanceStrength()

    - #### setSubstanceStrength

          public void setSubstanceStrength​(java.lang.String substanceStrength)

    - #### getUnit

          public java.lang.String getUnit()

    - #### setUnit

          public void setUnit​(java.lang.String unit)

    - #### getUnitSctid

          public java.lang.String getUnitSctid()

    - #### setUnitSctid

          public void setUnitSctid​(java.lang.String unitSctid)

    - #### getGenericDrug

          public GenericDrug getGenericDrug()

    - #### setGenericDrug

          public void setGenericDrug​(GenericDrug genericDrug)

    - #### getSubstanceDetail

          public SubstanceDetail getSubstanceDetail()

    - #### setSubstanceDetail

          public void setSubstanceDetail​(SubstanceDetail substanceDetail)